Re: [gnome-db] Libgda4.0.6 warnings and segfault

On Fri, 2010-01-29 at 21:27 +0100, Vivien Malerba wrote:
> On 29 January 2010 21:25, Murray Cumming <murrayc murrayc com> wrote:
> > On Fri, 2010-01-29 at 21:21 +0100, Vivien Malerba wrote:
> >> As a matter of fact both work, but you're right it's better to use
> >> #include <sql-parser/gda-sql-parser.h>, I'll update the doc.
> >
> > Why is that better? It's part of libgda. I'm surprised that that works
> > now. I think it worked in the past because the sql-parser headers were
> > previously installed in the wrong place.
> >
> It still works because I prefered to keep it that way to avoid forcing
> people to update their code if they used #include
> <libgda/sql-parser/gda-sql-parser.h>.

#include <libgda/sql-parser/gda-sql-parser.h>
didn't work before. Now it does. Presumably nobody was using it before

Why do you think that 
#include <sql-parser/gda-sql-parser.h>
is better?

murrayc murrayc com

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]